Bug 597716 - SELinux empêche l'accès en "getattr" à /usr/sbin/nagios on /usr/share/perl5/strict.
SELinux empêche l'accès en "getattr" à /usr/sbin/nagios on /usr/share/pe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:db34ef42f41...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 05:31 EDT by galerien
Modified: 2010-07-08 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 20:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description galerien 2010-05-30 05:31:24 EDT
Résumé:

SELinux empêche l'accès en "getattr" à /usr/sbin/nagios on
/usr/share/perl5/strict.

Description détaillée:

SELinux a refusé l'accès demandé par nagios. Il n'est pas prévu que cet
accès soit requis par nagios et cet accès peut signaler une tentative
d'intrusion. Il est également possible que cette version ou cette configuration
spécifique de l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès -
lisez la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               system_u:system_r:nagios_t:s0
Contexte cible                system_u:object_r:usr_t:s0
Objets du contexte            /usr/share/perl5/strict.pm [ file ]
source                        nagios
Chemin de la source           /usr/sbin/nagios
Port                          <Inconnu>
Hôte                         (supprimé)
Paquetages RPM source         nagios-3.2.1-2.fc13
Paquetages RPM cible          perl-5.10.1-112.fc13
Politique RPM                 selinux-policy-3.7.19-21.fc13
Selinux activé               True
Type de politique             targeted
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (supprimé)
Plateforme                    Linux (supprimé)
                              2.6.33.4-95.fc13.x86_64 #1 SMP Thu May 13 05:16:23
                              UTC 2010 x86_64 x86_64
Compteur d'alertes            3
Première alerte              dim. 30 mai 2010 11:29:41 CEST
Dernière alerte              dim. 30 mai 2010 11:29:41 CEST
ID local                      7bc812b7-1e5e-4d42-be7d-1913ddc14d2e
Numéros des lignes           

Messages d'audit bruts        

node=(supprimé) type=AVC msg=audit(1275211781.420:46771): avc:  denied  { getattr } for  pid=7143 comm="nagios" path="/usr/share/perl5/strict.pm" dev=sda5 ino=3942652 scontext=system_u:system_r:nagios_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file

node=(supprimé) type=SYSCALL msg=audit(1275211781.420:46771): arch=c000003e syscall=4 success=no exit=-13 a0=eba720 a1=7fff1d174e60 a2=7fff1d174e60 a3=20 items=0 ppid=7133 pid=7143 auid=4294967295 uid=485 gid=465 euid=485 suid=485 fsuid=485 egid=465 sgid=465 fsgid=465 tty=(none) ses=4294967295 comm="nagios" exe="/usr/sbin/nagios" subj=system_u:system_r:nagios_t:s0 key=(null)



Hash String generated from  catchall,nagios,nagios_t,usr_t,file,getattr
audit2allow suggests:

#============= nagios_t ==============
allow nagios_t usr_t:file getattr;
Comment 1 Miroslav Grepl 2010-05-31 05:59:35 EDT
Fixed in selinux-policy-3.7.19-22.fc13.

Note You need to log in before you can comment on or make changes to this bug.